<ng-container *transloco="let t; read: 'active_organization'">
  <div class="table-container">
    <mat-card appearance="outlined">
      <span class="table-header">{{t('role_requests_header')}}</span>
      <table
        class="table-width"
        mat-table
        matSort
        [dataSource]="dataSource"
        (matSortChange)="announceSortChange($event)">
        <!-- created_at column -->
        <ng-container matColumnDef="created_at">
          <th
            mat-header-cell
            *matHeaderCellDef
            mat-sort-header>
            {{t('created_at_th')}}
          </th>
          <td
            mat-cell
            *matCellDef="let row">
            {{ row.created_at | translocoDate: { dateStyle: 'medium', timeStyle: 'medium' } }}
          </td>
        </ng-container>
        <ng-container matColumnDef="organization_user_role">
          <th
            mat-header-cell
            *matHeaderCellDef
            mat-sort-header>
            {{t('role_th')}}
          </th>
          <td
            mat-cell
            *matCellDef="let row">
            <app-organization-user-roles-table-cell [roles]="row.requested_roles"></app-organization-user-roles-table-cell>
          </td>
        </ng-container>
        <ng-container matColumnDef="request_state">
          <th
            mat-header-cell
            *matHeaderCellDef
            mat-sort-header>
            {{t('request_state_th')}}
          </th>
          <td
            mat-cell
            *matCellDef="let row">
            {{'request_state.'+row.request_state|transloco}}
          </td>
        </ng-container>
        <ng-container matColumnDef="reviewer_comment">
          <th
            mat-header-cell
            *matHeaderCellDef
            mat-sort-header>
            {{t('reviewer_comment_th')}}
          </th>
          <td
            mat-cell
            *matCellDef="let row">
            {{row.reviewer_comment}}
          </td>
        </ng-container>
        <!-- actions Button Column -->
        <ng-container matColumnDef="actions">
          <th
            mat-header-cell
            *matHeaderCellDef
            class="table-column-header-align-end">
            {{t('actions_th')}}
          </th>
          <td
            mat-cell
            *matCellDef="let row">
            <span
              *ngIf="row.request_state === RequestState.REQUESTED"
              class="button-spacing">
              <button
                mat-mini-fab
                color="warn"
                class="no-shadow-mini-fab micro-fab"
                [matTooltip]="t('revoke_request')"
                (click)="revokeRequest.emit({id:row.organization_user_role_request_id})">
                <mat-icon>delete_forever</mat-icon>
              </button>
            </span>
          </td>
        </ng-container>
        <tbody>
          <tr
            mat-header-row
            *matHeaderRowDef="displayedColumns"></tr>
          <tr
            mat-row
            *matRowDef="let row; columns: displayedColumns;"></tr>
          <!-- Row shown when there is no matching data. -->
          <tr
            class="mat-row no-data-table-row"
            *matNoDataRow>
            <td
              class="mat-cell"
              colspan="6">
              {{'general.no_data'|transloco}}
            </td>
          </tr>
        </tbody>
      </table>
    </mat-card>
  </div>
</ng-container>
